<div class="layout-block">
    <div class="search-form eight-column">
        <div class="panel">
            <div class="panel-body">
                <form class="clearfix" *ngIf="searchForm" id="form-filter" [formGroup]="searchForm"
                    (ngSubmit)="search()">
                    <div class="form-group">
                        <label>Tên Công Việc</label>
                        <input type="text" class="form-control" formControlName="name" tabindex="1" />
                    </div>

                    <div class="form-group">
                        <label>Dự án</label>
                        <autocomplete-directive required inputRef [key]="'name'" [placeholder]="'Chọn Dự án...'"
                            [custom_display_label]="['code', 'name']" [headers]="['Mã dự án', 'Tên dự án']"
                            formControlName="module_name" [items]="ListModule" (type)="getModule($event)"
                            (selected)="selectModules($event)"></autocomplete-directive>
                    </div>
                    <div class="form-group">
                        <label>Danh mục dự án</label>
                        <autocomplete-directive required inputRef [key]="'name'"
                            [isdisabled]="!searchForm.value['module_name'] ?  true : null"
                            [custom_display_label]="['code', 'name']" [headers]="['Mã danh mục', 'Tên danh mục']"
                            [placeholder]="'Chọn danh mục...'" formControlName="module_category_name"
                            [items]="ListModuleCategory"
                            (type)="getModuleCategory(searchForm.value['module_id'],$event)"
                            (selected)="selectModuleCategory($event)">
                        </autocomplete-directive>
                    </div>
                    <div class="form-group">
                        <label>Gán cho</label>
                        <autocomplete-directive required inputRef [key]="'full_name'"
                            [custom_display_label]="['username', 'full_name']" [headers]="['Tài Khoản', 'Họ Tên']"
                            [placeholder]="'Chọn người dùng...'" formControlName="full_name" [items]="ListUser"
                            (type)="getUsers($event)" (selected)="selectUsers($event)"></autocomplete-directive>
                    </div>
                    <div class="form-group">
                        <label>Mức độ ưu tiên</label>
                        <select formControlName="priority" class="form-control">
                            <option class="no-value" value>Tất cả</option>
                            <option value="LOWEST">Rất thấp</option>
                            <option value="LOW">Thấp</option>
                            <option value="MEDIUM">Trung bình</option>
                            <option value="HIGH">Cao</option>
                            <option value="HIGHEST">Rất cao</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <label>Tình Trạng</label>
                        <select formControlName="status" class="form-control">
                            <option class="no-value" value>Tất cả</option>
                            <option value="NEW">Mới</option>
                            <option value="IN-PROGRESS">Đang tiến hành</option>
                            <option value="COMPLETED">Đã hoàn thành</option>
                            <option value="SOLVED">Đã giải quyết</option>
                            <option value="OPENED">Đã mở</option>
                        </select>
                    </div>


                    <div class="btn-toolbar pull-left margin-top23">
                        <button type="button" class="btn btn-outline gray" (click)="reset()" tabindex="4">
                            <i class="icon-close"></i>Làm Trống
                        </button>
                        <button type="submit" class="btn btn-outline blue" tabindex="3">
                            <i class="icon-magnifier"></i>Tìm Kiếm
                        </button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

<div class="clearfix"></div>
<div class="area-block clearfix">
    <div class="panel">
        <div class="panel-body">
            <div class="filter clearfix table-list-head">
                <div class="form-inline pull-left">
                    <label>Hiện Thi:</label>
                    <select [(ngModel)]="perPage" (change)="onPageSizeChanged($event)" class="form-control"
                        tabindex="20">
                        <option value="20" selected>20</option>
                        <option value="30">30</option>
                        <option value="40">40</option>
                        <option value="50">50</option>
                    </select>
                </div>
                <div class="pull-right">
                    <a class="btn btn-primary" tabindex="9" routerLink="new"><i class="icon-plus"></i>Tạo Mới</a>
                </div>

            </div>
            <div class="table-style2 clearfix table-responsive">
                <table id="datatable-responsive" class="table table-striped table-bordered responsive no-wrap"
                    cellspacing="0" width="100%">
                    <thead>
                        <tr>
                            <th><input type="checkbox"></th>
                            <th>ID</th>
                            <th>Tiêu đề</th>
                            <th>Dự án</th>
                            <th>Danh mục dự án</th>
                            <th>Gán cho</th>
                            <th>Tiến độ</th>
                            <th>DDộ nghiêm trọng</th>
                            <th>Thời gian bắt đầu</th>
                            <th>Thời gian kết thúc</th>
                            <th>Trạng thái</th>
                            <th></th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr *ngFor="let item of dataList">
                            <td><input type="checkbox"></td>
                            <td>{{item.id}}</td>
                            <td><a [routerLink]="item.id + '/view'">{{item.name}}</a></td>
                            <td>{{item.module_name}}</td>
                            <td>{{item.module_category_name}}</td>
                            <td>{{item.full_name}}</td>
                            <td>
                                <span *ngIf="item.progress">{{item.progress + '%'}}</span></td>
                            <td>
                                <span *ngIf="item.priority == 'LOWEST'" class="label label-success">Rất thấp</span>
                                <span *ngIf="item.priority == 'LOW'" class="label label-primary">Thấp</span>
                                <span *ngIf="item.priority == 'MEDIUM'" class="label label-info">Trung bình</span>
                                <span *ngIf="item.priority == 'HIGH'" class="label label-warning">Cao</span>
                                <span *ngIf="item.priority == 'HIGHEST'" class="label label-danger">Rất cao</span></td>
                            <td>{{item.start_time}}</td>
                            <td>{{item.deadline}}</td>
                            <td>
                                <span *ngIf="item.status == 'NEW'" class="label label-warning">Mới</span>
                                <span *ngIf="item.status == 'SOLVED'" class="label label-primary">Đã giải quyết</span>
                                <span *ngIf="item.status == 'IN-PROGRESS'" class="label label-info">Đang tiến
                                    hành</span>
                                <span *ngIf="item.status == 'COMPLETED'" class="label label-success">Đã hoàn
                                    thành</span>
                                <span *ngIf="item.status == 'OPENED'" class="label label-default">Đã mở</span>
                            </td>
                            <td class="action-col">
                                <a class="btn btn-danger"
                                    (click)="delete(item.id)">Xóa</a>
                                <a class="btn btn-default"
                                    [routerLink]="item.id + '/edit'">Sửa</a>
                            </td>
                        </tr>
                    </tbody>
                </table>
                <p *ngIf="dataList.length==0">Chưa có dữ liệu</p>
            </div>
            <div class="list-bottom">
                <div class="pull-right">
                    <wms-pagination [perPage]="perPage" (pageChange)="pageChange($event)" [pagingData]="pagination">
                    </wms-pagination>
                </div>
            </div>
        </div>
    </div>
</div>